---
schema_version: "1"
id: b660db2480217ae0f6ac4148883f7c52dd139070e5abcb068cb31cc3a62a683f
title: Get Records Using sObject Collections
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-composite-sobjects-collections-retrieve.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-composite-sobjects-collections-retrieve.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: a74ca010ede91674d5bf4b5df8a21201fab67bd263d01803e4b32a0139d71bd7
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get Records Using sObject Collections

Use a GET request with sObject Collections to get one or more records of the same object type. A list of sObjects that represents the individual records of the specified type is returned. The number of sObjects returned matches the number of IDs passed in the request.

You can specify approximately 800 IDs before the URL length causes the HTTP 414 error `URI too long`.

**note:** The [sObject Blob Retrieve](https://developer.salesforce.com/docs/platform/api-rest/guide/resources-sobject-blob-retrieve.md) resource isn’t compatible with Composite API requests, because it returns binary data instead of data in JSON or XML formats. Instead, make individual sObject Blob Retrieve requests to retrieve blob data.

-   If you specify an invalid field name or a field name that you don’t have permission to read, `HTTP 400 Bad Request` is returned.
-   If you don’t have access to an object, or if a passed ID is invalid, the array returns null for that object.

## Syntax

**URI:** `/services/data/vXX.X/composite/sobjects/sObject`

**Formats:** JSON, XML

**HTTP Method:** GET

**Authentication:** `Authorization: Bearer token`

**Parameters**

|Parameter|Description|
|---------|-----------|
|`ids`|Required. A list of one or more IDs of the objects to return. All IDs must belong to the same object type.|
|`fields`|Required. A list of fields to include in the response. The field names you specify must be valid, and you must have read-level permissions to each field.|

## Example

**Example Request**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/composite/sobjects/Account?ids=001xx000003DGb1AAG,001xx000003DGb0AAG,001xx000003DGb9AAG&fields=id,name -H "Authorization: Bearer token"
```

**Example Response Body**

```nolang
[
   {
      "attributes" : {
         "type" : "Account",
         "url" : "/services/data/v68.0/sobjects/Account/001xx000003DGb1AAG"
      },
      "Id" : "001xx000003DGb1AAG",
      "Name" : "Acme"
   },
   {
      "attributes" : {
         "type" : "Account",
         "url" : "/services/data/v68.0/sobjects/Account/001xx000003DGb0AAG"
      },
      "Id" : "001xx000003DGb0AAG",
      "Name" : "Global Media"
   },
   null
]

```

